> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryv1beta1 inboundemails

> Lists all inbound emails in a library.



## OpenAPI

````yaml /openapis/library.json get /library/v1beta1/{libId}/inboundEmails
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v1beta1/{libId}/inboundEmails:
    get:
      tags:
        - library
      description: Lists all inbound emails in a library.
      operationId: library:v1beta1.InboundEmails.list
      parameters:
        - $ref: '#/components/parameters/libId_path_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiInboundEmailList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInboundEmailList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libId_path_parameter:
      name: libId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiInboundEmailList:
      type: object
      properties:
        inboundEmails:
          type: array
          items:
            $ref: '#/components/schemas/ApiInboundEmail'
        kind:
          type: string
    ApiInboundEmail:
      type: object
      properties:
        allowUnknownSenders:
          type: boolean
          description: >-
            Whether we allow unknown senders to create document via the inbound
            email
        classId:
          type: string
          description: >-
            The ID of the document class associated to the inbound email
            (read-only field after creation)
        conversionMode:
          type: string
          description: >-
            The conversion mode for files attached to the email: NONE (no
            conversion, default mode), GDOCS (to convert in Google documents
            format) or OCR (to convert using Optical Character Recognition)
          enum:
            - NONE
            - GDOCS
            - OCR
        createdTime:
          type: string
          format: date-time
          description: The time at which the inbound email was created (read-only field)
        destinationFolderId:
          type: string
          description: >-
            The ID of the folder in which the document should be created from
            the inbound email
        disableAllNotifications:
          type: boolean
          description: >-
            Disabling success and error email notifications of document creation
            via email
        disableSuccessNotifications:
          type: boolean
          description: >-
            Disabling successful email notifications of document creation via
            email
        emailPrefix:
          type: string
          description: The prefix of the inbound email
        fullEmail:
          type: string
          description: The full email address of the inbound email (read-only field)
        id:
          type: string
          description: The ID of the inbound email (read-only field)
        importedParts:
          type: array
          description: >-
            The list of email parts to include in import. If empty, defaults to
            [BODY, ATTACHMENTS] only
          items:
            type: string
            enum:
              - BODY
              - ATTACHMENTS
              - EML
        kind:
          type: string
        lastModifiedTime:
          type: string
          format: date-time
          description: >-
            The time at which the inbound email was last modified (read-only
            field)
        libraryId:
          type: string
          description: The ID of the library (read-only field)
        ocrLocale:
          type: string
          description: The locale for OCR conversion
        preferPlainTextBody:
          type: boolean
          description: Whether the body of the email should be interpreted as plain text
        removeThreadHistory:
          type: boolean
          description: >-
            Whether the history of the thread should be removed before importing
            email's content in the document
        templateDocumentId:
          type: string
          description: >-
            The ID of the document template to use to create document from the
            inbound email
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````